Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateTermsOfService

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateTermsOfService

Enclosing class:
  TdApi

public static final class TdApi.UpdateTermsOfService extends TdApi.Update
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.TermsOfService`
`termsOfService`
The new terms of service.
`String`
`termsOfServiceId`
Identifier of the terms of service.

## Constructor Summary

Constructors
Constructor
Description
`UpdateTermsOfService()`
New terms of service must be accepted by the user.
`UpdateTermsOfService(DataInput input)`
New terms of service must be accepted by the user.
`UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)`
New terms of service must be accepted by the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### termsOfServiceId

public String termsOfServiceId
Identifier of the terms of service.

### termsOfService

public TdApi.TermsOfService termsOfService
The new terms of service.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### UpdateTermsOfService

public UpdateTermsOfService()
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

### UpdateTermsOfService

public UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

Parameters:
  `termsOfServiceId` - String Identifier of the terms of service.
  `termsOfService` - TermsOfService The new terms of service.

### UpdateTermsOfService

public UpdateTermsOfService(DataInput input) throws IOException
New terms of service must be accepted by the user. If the terms of service are declined, then the deleteAccount method must be called with the reason "Decline ToS update".

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`